#ifndef __CS_LAGR_HEADERS_H__
#define __CS_LAGR_HEADERS_H__

/*============================================================================
 * Global Code_Saturne headers file for easier include
 *============================================================================*/

/*
  This file is part of Code_Saturne, a general-purpose CFD tool.

  Copyright (C) 1998-2019 EDF S.A.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 2 of the License, or (at your option) any later
  version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
  Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

/*----------------------------------------------------------------------------
 * Local headers
 *----------------------------------------------------------------------------*/

#include "cs_lagr.h"
#include "cs_lagr_adh.h"
#include "cs_lagr_car.h"
#include "cs_lagr_clogging.h"
#include "cs_lagr_coupling.h"
#include "cs_lagr_deposition_model.h"
#include "cs_lagr_dlvo.h"
#include "cs_lagr_extract.h"
#include "cs_lagr_gradients.h"
#include "cs_lagr_head_losses.h"
#include "cs_lagr_injection.h"
#include "cs_lagr_lec.h"
#include "cs_lagr_log.h"
#include "cs_lagr_new.h"
#include "cs_lagr_options.h"
#include "cs_lagr_particle.h"
#include "cs_lagr_poisson.h"
#include "cs_lagr_post.h"
#include "cs_lagr_precipitation_model.h"
#include "cs_lagr_print.h"
#include "cs_lagr_prototypes.h"
#include "cs_lagr_query.h"
#include "cs_lagr_restart.h"
#include "cs_lagr_resuspension.h"
#include "cs_lagr_roughness.h"
#include "cs_lagr_sde.h"
#include "cs_lagr_sde_model.h"
#include "cs_lagr_stat.h"
#include "cs_lagr_tracking.h"

/*----------------------------------------------------------------------------*/

#endif /* __CS_LAGR_HEADERS_H__ */
